<div class="container" >
  <div class="row">
    <div class="col-12">
      <button
        type="button"
        (click)="addButtonClickFunction()"
        data-bs-toggle="modal"
        data-bs-target="#exampleModal"
        class="btn btn-primary mb-6"
      >
        <i class="fas fa-plus"></i>Add Farmer
      </button>
      <div>
        <div>
          <table  *ngIf="farmers" datatable [dtOptions]="dtOptions"  class="table table-hover table-striped table-bordered" cellspacing="0"  >
             <thead>
              <tr class="bg-primary text-white text-center ">
                <th class="text-center">First Name</th>
                <th class="text-center">Last Name</th>
                <th class="text-center">Gender</th>
                <th class="text-center">City</th>
                <th class="text-center">Contact Number</th>
                <th class="text-center">AltContact Number</th>
                <th class="text-center">Action</th>
                <th>Status</th>
              </tr>
            </thead>
            <tbody class="bg-white  text-center">
              <tr *ngFor="let row of farmers">
                <td>{{ row.firstName }}</td>
                <td>{{ row.lastName }}</td>
                <td>{{ row.gender }}</td>
                <td>{{ row.cityName }}</td>
                <td>{{ row.phoneNo }}</td>
                <td>{{ row.alternatePhoneNo }}</td>
                
                <td class="text-center">
                  <div class="row">
                    <div class="col">
                      <button (click)="updateFarmerlist(row)" class="btn btn-outline-info pl-3 pr-3 mx-2" data-bs-toggle="modal"data-bs-target="#exampleModal">
                      <i class="fas fa-pen icon-blue"></i> </button>
                      
                      <button (click)="deleteFarmerlist(row)" class="btn btn-outline-danger pl-3">
                      <i class="fas fa-trash icon-red"></i></button>
                    </div>
                    </div>
                  </td>
                  <td class="text-center">
                  <div class="row">
                    <div class="col">
                      <div class="form-check form-switch">
                      <input class="form-check-input" type="checkbox" (change)="changeActive(row.id,$event)" role="switch" [checked]="row.activeStatus" id="flexSwitchCheckDefault">
                      </div>                    
                    </div>
                    </div>
                </td>
              </tr>
  
            </tbody>
          </table>
        </div>
      </div>
    </div>

    <!-- model -->
    <div
      class="modal fade"
      id="exampleModal"
      tabindex="-1"
      aria-labelledby="exampleModalLabel"
      aria-hidden="true"
    >
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h2
              class="modal-title text-primary"
              *ngIf="showAddTitle"
              id="exampleModalLabel"
            >
              Add New Farmer
            </h2>
            <h2
              class="modal-title text-primary"
              *ngIf="showUpdateTitle"
              id="exampleModalLabel"
            >
              Update Farmer Data
            </h2>
            <button
              type="button"
              class="btn-close"
              data-bs-dismiss="modal"
              aria-label="Close"
            ></button>
          </div>
          <div class="modal-body">
            <form [formGroup]="formValue">
              <div class="form-group">
                <label for="firstName">First Name</label>
                <input
                  formControlName="firstName"
                  type="text"
                  id="firstName"
                  class="form-control"
                  placeholder="Enter First Name.."
                  Required
                />  
                <span class="text-danger" *ngIf="formValue.controls['firstName'].dirty && formValue.hasError('required','firstName')">First Name Is Required</span>
 
              </div>
              <br />

              <div class="form-group">
                <label for="lastName">Last Name</label>
                <input
                  id="lastName"
                  formControlName="lastName"
                  type="text"
                  class="form-control"
                  placeholder="Enter Last Name.."
                  required
                />
                <span class="text-danger" *ngIf="formValue.controls['lastName'].dirty && formValue.hasError('required','lastName')">Last Name is Required</span>
              </div>
              <br />

              <div class="form-group">
                <label for="city">City</label>
                <select
                  class="form-group form-select"
                  formControlName="cityName"
                  
                  required
                >
                <span class="text-danger" *ngIf="formValue.controls['cityName'].dirty && formValue.hasError('required','cityName')">City Name Is Required</span>
                  <option value="null" disabled selected >Choose City</option>
                  <option *ngFor="let c of city" [ngValue]="c.cityId" >
                    {{ c.cityName }}
                  </option>
                </select>
              </div>
              <br />

              <div class="form-group">
                <label for="Gender">Gender</label>
                <select class="form-group form-select" formControlName="gender" required>
                  <span class="text-danger" *ngIf="formValue.controls['gender'].dirty && formValue.hasError('required','gender')">Please Select Gender</span>
                  <option value="null" disabled selected >Choose Gender</option>
                  <option *ngFor="let g of gender">
                    {{ g }}
                  </option>
                </select>
              </div>
              <br />

              <div class="form-group">
                <label for="contact">Contact Number</label>
                <input
                  id="contact"
                  type="text"
                  formControlName="contact"
                  class="form-control"
                  placeholder="Enter contact Number.."
                  required
                />
                <span class="text-danger" *ngIf="formValue.controls['contact'].dirty && formValue.hasError('required','contact')"> Contact Number Required </span>

             </div>
              <br />

              <div class="form-group">
                <label for="altcontact">AltContact Number</label>
                <input
                  id="altcontact"
                  type="number"
                  formControlName="altcontact"
                  class="form-control"
                  placeholder="Enter Altcontact Number.."
                  required
                />
                <span class="text-danger" *ngIf="formValue.controls['altcontact'].dirty && formValue.hasError('required','altcontact')">Alternate Contact Number Required </span>
              </div>
              <br />

              <button
                type="button"
                id="cancel"
                class="btn btn-secondary"
                data-bs-dismiss="modal"
              >
                Cancel
              </button>
              <button
                type="submit"
                [disabled]="!formValue.valid"
                *ngIf="showAdd"
                (click)="postFarmerlistDetails()"
                class="btn btn-primary mx-2"
                value="Save"
              >
                save
              </button>
              <button
                type="button"
                [disabled]="!formValue.valid"
                *ngIf="showUpdate"
                (click)="updateFarmerlistDetails(this.formValue.value)"
                class="btn btn-primary mx-2"
                data-bs-dismiss="modal">
                Update
              </button>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
